> ## Documentation Index
> Fetch the complete documentation index at: https://docs.become1.de/llms.txt
> Use this file to discover all available pages before exploring further.

# Revoke Planned Vouchers by id



## OpenAPI

````yaml delete /api/v2/goodies/planned-vouchers/{plannedVoucherId}
openapi: 3.0.0
info:
  title: become.1 API
  description: become.1 API
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /api/v2/goodies/planned-vouchers/{plannedVoucherId}:
    delete:
      operationId: ApiV2GoodiesController_terminatePlannedGoodiesVoucher
      parameters:
        - name: plannedVoucherId
          required: true
          in: path
          schema:
            type: string
        - name: employeeId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GoodiesVoucherTerminateInputDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResultOutputDto'
      security:
        - bearer: []
components:
  schemas:
    GoodiesVoucherTerminateInputDto:
      type: object
      properties:
        endDate:
          format: date-time
          type: string
          description: |
            Make sure the date is UTC+0.

                    To have all planned vouchers terminated on the end of January 2023, the input would be: 2023-01-31T00:00:00.000Z

                    

                    This can be set only for a date in the future, since goodies vouchers could already have been created.

                    Example:

                    Current Date 7th of March -> earliest endDate = 2023-03-08T00:00:00.000Z

                    Current Date 8th of March -> earliest endDate = 2023-03-09T00:00:00.000Z 
      required:
        - endDate
    ResultOutputDto:
      type: object
      properties:
        success:
          type: boolean
      required:
        - success
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````